
-- DROP TABLE tl_email_message;




CREATE TABLE tl_email_message (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    message_id varchar2(1000) NULL,
    email_from varchar2(500) NOT NULL,
    email_to varchar2(500) NOT NULL,
    email_cc varchar2(500) NULL,
    subject varchar2(1000) NULL,
    description clob NULL,
    received_date date NOT NULL,
    job_id number(12)  NULL
    );



ALTER TABLE tl_email_message ADD    
    CONSTRAINT PK_tl_email_message PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    